Unfortunately Ax2009 does create in conjunction with the .Net 3.5 SP1 the following exception:

A ProgressTemplate must be specified on UpdateProgress control with ID ‘id’.

This will be fixed very soon. Until then, please just don’t install the SP1 on your Ax2009 server or if you already did, please uninstall the SP1. There is no other workaround for this issue so far.